<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">

<xsl:output method="text" encoding="windows-1251" indent="yes"/>

<xsl:template match="/">
<xsl:call-template name="table"/><xsl:text>
</xsl:text><xsl:call-template name="sums"/>
</xsl:template>

<xsl:template name="table">
<xsl:for-each select="/data/table/data/row">
<xsl:value-of select="@login"/>;<xsl:value-of select="@count"/>;<xsl:value-of select="@time"/>;<xsl:value-of select="@round_time"/>;<xsl:value-of select="@cost"/><xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:template>

<xsl:template name="sums">
 :;<xsl:value-of select="sum(/data/table/data/row/@count)"/>
 [.][.]:;<xsl:value-of select="/data/table/data/@time_amount"/>
:;<xsl:value-of select="/data/table/data/@money_amount"/>
</xsl:template>

</xsl:stylesheet>
